datasource:
  workspace: events
  autoCreate: true
model:
  nodeType: event
  properties:
    - name: location
      required: true
      label: Location
    - name: description
      type: richText
      required: true
      label: Description
    - name: eventType
      label: Event Type
      options:
        - name: workEvent
          value: workEvent
          label: Work Event
        - name: holiday
          value: holiday
          label: Holiday
        - name: familyEvent
          value: familyEvent
          label: Family Event
        - name: other
          value: other
          label: Other
    - name: date
      required: true
      type: Date
      label: Date
    - name: imageLink
      label: Image
      required: true
      type: asset
